#!/bin/zsh

cgi_post

uid=$(dbus-uuidgen)
course="${uid}.ics"

tzid=$(cat /etc/timezone)
tstamp=$(TZ="$tzid" date +%Y%m%dT%H%M%S)

tempfile="$_DATA/temp/$course"

cat >"$tempfile" <<EOF
BEGIN:VCALENDAR
VERSION:2.0
PRODID:Berlin RAW Confetti
BEGIN:VEVENT
UID:$uid
DTSTAMP:TZID=${tzid}:${tstamp}
DTSTART:
DURATION:
RRULE:
SUMMARY:
COMMENT:
END:VEVENT
END:VCARD
EOF

echo -n "Location: http://$HTTP_HOST/?page=courses&edit=$course\n\n"
