cat <<EOF
<!Doctype HTML>

<html>
  <head>
    <title>$($PAGE title)</title>
    <style type="text/css">
    <!--
body {
  background: #EEE;
  margin: 0;
  padding: 0;
}
.NAVIGATION {
  display: inline-block;
  height: 1.5em;
  border-style: none solid solid solid;
  border-width: 0 1px 1px 1px;
  border-radius: 0 0 4px 4px;
  margin-top: 0;
  margin-left: 3%;
  padding: .5em 1ex .25em 1ex;
  background: #FFF;
}
.NAVIGATION a {
  color: #008;
  border-style: solid;
  border-width: 1px;
  border-color: #BBF;
  margin: .5em .5ex .25em .5ex;
  padding: .2em 3ex .2em 3ex;
  background: #EFF;
}
.NAVIGATION a:hover {
  border-width: 2px 1px 2px 1px;
  background: #F3FFFF;
}


    $(. $PAGE css)
    -->
    </style>
  </head>
  <body>
    <div class="NAVIGATION">
      $(NAVIGATION |sed -r 's:^([^ ]+) (.+)$:<a href="\1">\2</a>:g')
    </div>
    <div class="MAIN">
      $(. $PAGE body)
    </div>
  </body>
</html>
EOF

# vi:set filetype=html:
