cat <<EOF

.sort {
  display: block;
  width: 126ex;
  border-width: 1px;
  border-style: solid;
  border-radius: 4px 4px 0 0 ;
  margin: 1em auto .25em auto;
  padding: .25em 2ex .25em 2ex;
  background: #EFF;
}
.sort .label {
  font-weight: bold;
}

.newcourse {
  display: block;
  width: 126ex;
  border-width: 1px;
  border-style: solid;
  border-radius: 0 0 4px 4px;
  margin: .25em auto 1em auto;
  padding: .25em 2ex .25em 2ex;
  background: #EFF;
}

.courselist .course {
  display: block;
  width: 130ex;
  border-style: solid;
  border-width: 1px;
  margin: .25em auto;
  padding: 0;
  overflow: auto;
  background: #FFF;
}

.courselist .course .section {
  display: inline-block;
  float:left;
  width: 25ex;
  margin: .125em .5ex .5ex .5ex;
  padding: 0 .2em .2em .2em;
  background: #EEE;
}

.courselist .course .dtstart {
  width: 35ex;
}
.courselist .course .dtstart .DTSYEAR{
  display: inline-block;
  text-align: center;
  font-weight: bold;
  width: 11ex;
}
.courselist .course .dtstart .DTSMONTH{
  display: inline-block;
  text-align: center;
  font-weight: bold;
  width: 18ex;
}
.courselist .course .dtstart .DTS{
  display: inline-block;
  text-align: center;
  font-weight: bold;
  width: 4ex;
}
.courselist .course .dtstart .DTSCALHEAD{
  display: inline-block;
  font-weight: bold;
  width: 4ex;
  margin: .25ex;
}
.courselist .course .dtstart .DTSCAL{
  display: inline-block;
  width: 4ex;
  margin: .25ex;
}
.courselist .course .dtstart .selected {
  font-weight: bold;
}
.courselist .course .dtstart .DTSTIME{
  display: inline-block;
  width: 10ex;
}
.courselist .course .dtstart span.DTSTIME{
  font-weight: bold;
}

.courselist .course .recur{
  width: 35ex;
}

.courselist .course .control {
  float: right;
  max-width: 22ex;
  text-align: right;
  margin-right: 0;
  background: #EEF;
}
.courselist .course .control .item {
  color: #008;
  margin-top: .2em;
  margin-right: 1ex;
}
.courselist .course .control a.item {
  min-width: 10ex;
  border-style: solid double solid solid;
  border-width: 1px 3px 1px 1px;
  border-color: #000;
  padding: .1em 1ex;
  background: #FFF;
}
.courselist .course .control a.item:hover{
  border-width: 1px 1px 1px 1px;
}

.courselist .course .section .sectitle {
  display: block;
  font-weight: bold;
  margin: .2em .2em .2em .2em;
}

.courselist .course .section .item {
  display: block;
  max-width: 25ex;
  word-wrap: break-word;
}
.courselist .course .section input[type="text"] {
  width: 24ex;
}

.courselist .course .section textarea.COMMENT {
  width: 24ex;
  min-height: 6em;
}

EOF

# vi:set filetype=css:
